/*
 * See the README file for copyright information and how to reach the author.
 *
 */

#ifndef __PVRUSB2_MENUITEMS_H
#define __PVRUSB2_MENUITEMS_H

class cRMMenuEditChannelItem;

class cRMMenuItems
{
    public:
        static cOsdItem* Label(const char* _text);
        static cOsdItem* Label(const char* _text, const char* _value);
        static cOsdItem* Label(const char* _text, int _value);

        static cOsdItem* FrequencyItem(const char* _title,
                cRMChannel* _channel, int _increment=100);

        static cOsdItem* ChannelItem(cRMChannel* _channel,
                int _increment=100);
};

#endif // __PVRUSB2_MENUITEMS_H


